@import '../index';
@import '../rem';

.wrapper {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  position: relative;
}

.base {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: rem(72px);
  height: rem(72px);
  position: relative;
  margin-right: rem(8px);
  margin-bottom: rem(8px);

  cursor: pointer;
  border-radius: rem(8px);
  background-color: var(--color-gray);
  transition: all 0.3s ease;

  &:focus {
    outline: none;
    box-shadow: 0 0 rem(1px) rem(3px) var(--color-primary-outline);
  }

  &:hover {
    .notFile path {
      fill: var(--color-primary);
    }

    .reset {
      opacity: 1;
    }
  }
}

.file {
  position: absolute;
  visibility: hidden;
}

.description {
  position: absolute;
  bottom: rem(8px);
  text-align: center;
}

.uploadFile {
  position: absolute;
  top: rem(20px);
  left: 0;
  right: 0;
  margin: auto;
}

.reset {
  opacity: 0;
  padding: 0 !important;
  position: absolute;
  top: rem(4px);
  right: rem(4px);
  z-index: 1;

  * {
    pointer-events: none;
  }
}

.error {
  color: var(--color-alert);
  position: absolute;
  left: 0;
  bottom: rem(-12px);
}

.active {
  &:hover {
    .reset {
      opacity: 1;
    }
  }
}

@media screen and (max-width: 768px) {
  .reset {
    opacity: 1;
  }
}